<template>
   <view class="qualityIndex-wrap">
     <div class="qualityIndex-button">
       <view class="quality-button">
         <u-button @click="handleEDCClick" class="quality-button" type="primary">EDC取样</u-button>
       </view>
       <view class="quality-button">
         <u-button @click="handleGaiMeiClick" class="quality-button" type="primary">原盐钙镁取样</u-button>
       </view>
       <view class="quality-button">
         <u-button @click="handleTOCClick" class="quality-button" type="primary">原盐TOC取样</u-button>
       </view>
       <view class="quality-button">
         <u-button @click="handleSalTotalClick" class="quality-button" type="primary">原盐全检</u-button>
       </view>
       <view class="quality-button">
         <u-button @click="handleSymbNaClick" class="quality-button" type="primary">氢氧化钠取样</u-button>
       </view>
     </div>

   </view>
</template>

<script>
export default {
  name: "qualityIndex",
  data() {
    return{

    }
  },
  onLoad() {
    this.init()
    console.log('怎么进不来呢==============')
  },
  methods: {
    init() {
      this.getBunkerList()
    },
    getBunkerList() {
      console.log('我进来了-----')
      this.$store.dispatch('getBunkerList')
    },
    handleEDCClick() {  //EDC取样
     uni.navigateTo({
       url: '/pages/quality-inspection-page/edc-sampling/edc-sampling'
     })
    },
    handleGaiMeiClick() {  //原盐钙镁
      uni.navigateTo({
        url: '/pages/quality-inspection-page/yanGaiMei-sampling/yanGaiMei-sampling'
      })
    },
    handleTOCClick() { //TOC
      uni.navigateTo({
        url: '/pages/quality-inspection-page/toc-sampling/toc-sampling'
      })
    },
    handleSalTotalClick() { //原盐全检
      uni.navigateTo({
        url: '/pages/quality-inspection-page/salt-total-sampling/salt-total-sampling'
      })
    },
    handleSymbNaClick() {  //氢氧化钠取样
      uni.navigateTo({
        url: '/pages/quality-inspection-page/symbNa-sampling/symbNa-sampling'
      })
    }
  }
}
</script>

<style lang="scss" scoped>
@mixin commonBtn($h:62rpx){
  background-image: linear-gradient(to right,#497bfb,#2467fd);
  height: $h!important;
  box-shadow: 0 0 10px rgba(43,98,239,0.5);
}
.qualityIndex-wrap{
  width: 100vw;
  display: flex;
  padding: 40rpx 20rpx 0 20rpx;
  box-sizing: border-box;
  flex-wrap: wrap;
  height: vww(20);
  .qualityIndex-button{
    display: flex;
    flex-wrap: wrap;
    margin-top: 80rpx;
  }
  .quality-button{
    width: calc(50vw - 60rpx);
    margin: 20rpx;
    ::v-deep{
      .u-button{
        margin: 0 10rpx;
        padding: 0 50rpx;
        @include commonBtn(68);
      }
    }
  }
}
.custom-style{
  width: 100vw;
}
</style>
